#!/bin/bash
TIMEOUT=600
TIME=/usr/bin/time
FORMAT="%x\t%e\t%U\t%S\t%K\t%M"
OUTPUT_FILE=sKizzo_result
SOLVER=../sKizzo-v0.8.2-beta/sKizzo
EXT=.qdimacs
mv $OUTPUT_FILE $OUTPUT_FILE.old
for QBF in `ls -1 *.qbf`
do
	timeout $TIMEOUT $TIME --quiet -o $OUTPUT_FILE -a -f "$QBF\t$FORMAT" $SOLVER $QBF$EXT
	if [[ $? != 0 ]]
	then
	    echo -e "$QBF\tTIMEOUT with $TIMEOUT sec!" >> $OUTPUT_FILE
	fi
done
